Project

General

Profile

Bug #16613

Vagrant encounters segmentation fault when starting previously correctly working box

Added by skaufman (Stan Kaufman) about 2 months ago. Updated about 1 month ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
ruby -v:
ruby 2.3.1p112 (2016-04-26 revision 54768) [x86_64-darwin15]
[ruby-core:<unknown>]

Description

Have four identical vagrant boxes for staging of Rails sites. All have functioned fine, including three of them today. However, one box segfaults on startup. See attached crash report, which concludes "You may have encountered a bug in the Ruby interpreter or extension libraries." All this is well above my pay grade, but I wonder if somehow this box has become corrupted. Any ideas? Many thanks indeed for any help!


Files

ruby_2020-02-06-162231_MrFlibble.crash (43.2 KB) ruby_2020-02-06-162231_MrFlibble.crash skaufman (Stan Kaufman), 02/07/2020 12:36 AM

Updated by jeremyevans0 (Jeremy Evans) about 2 months ago

  • Status changed from Open to Feedback

Ruby 2.3 is no longer supported. Does the error still occur if you update to Ruby 2.5, 2.6, or 2.7?

FWIW, it appears to have crashed when updating the access and modification times of files.

Updated by skaufman (Stan Kaufman) about 1 month ago

  • Status changed from Feedback to Closed

Turns out that this appears to have been due to some corruption in the box itself. Changing the Ruby version solved nothing. Starting over with a new box resulted in a working staging server again. Looks like I was misled by the error reporting. Sorry about that.

Thanks anyway for the help!

Also available in: Atom PDF